Upstream information

CVE-2011-0695 at MITRE

Description

Race condition in the cm_work_handler function in the InfiniBand driver (drivers/infiniband/core/cma.c) in Linux kernel 2.6.x allows remote attackers to cause a denial of service (panic) by sending an InfiniBand request while other request handlers are still running, which triggers an invalid pointer dereference.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.7
Vector AV:A/AC:M/Au:N/C:N/I:N/A:C
Access Vector Adjacent Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 678795 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • ofed-devel >= 1.5.2-0.12.1
sles10-sp4.ia64
sles10-sp4.x86-64
sles10-sp4.ppc
sle10-sp4-sdk.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.ppc
sles10-sp4.x86
sle10-sp4-sdk.ia64
ZYPP Patch Nr: 8386
SUSE Linux Enterprise Server 10 SP4 for x86
  • ofed >= 1.5.2-0.12.1
  • ofed-cxgb3-NIC-kmp-bigsmp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-kdumppae >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-smp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-vmi >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-vmipae >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-doc >= 1.5.2-0.12.1
  • ofed-kmp-bigsmp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-kdumppae >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-smp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-vmi >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-vmipae >= 1.5.2_2.6.16.60_0.99.13-0.12.1
sles10-sp4.ia64
sles10-sp4.x86-64
sles10-sp4.ppc
sle10-sp4-sdk.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.ppc
sles10-sp4.x86
sle10-sp4-sdk.ia64
ZYPP Patch Nr: 8386
SUSE Linux Enterprise Server 10 SP4 for IPF
  • ofed >= 1.5.2-0.12.1
  • ofed-cxgb3-NIC-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-doc >= 1.5.2-0.12.1
  • ofed-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
sles10-sp4.ia64
sles10-sp4.x86-64
sles10-sp4.ppc
sle10-sp4-sdk.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.ppc
sles10-sp4.x86
sle10-sp4-sdk.ia64
ZYPP Patch Nr: 8386
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • ofed >= 1.5.2-0.12.1
  • ofed-cxgb3-NIC-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-ppc64 >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-doc >= 1.5.2-0.12.1
  • ofed-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-ppc64 >= 1.5.2_2.6.16.60_0.99.13-0.12.1
sles10-sp4.ia64
sles10-sp4.x86-64
sles10-sp4.ppc
sle10-sp4-sdk.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.ppc
sles10-sp4.x86
sle10-sp4-sdk.ia64
ZYPP Patch Nr: 8386
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • ofed >= 1.5.2-0.12.1
  • ofed-cxgb3-NIC-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-cxgb3-NIC-kmp-smp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-doc >= 1.5.2-0.12.1
  • ofed-kmp-debug >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-default >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-kdump >= 1.5.2_2.6.16.60_0.99.13-0.12.1
  • ofed-kmp-smp >= 1.5.2_2.6.16.60_0.99.13-0.12.1
sles10-sp4.ia64
sles10-sp4.x86-64
sles10-sp4.ppc
sle10-sp4-sdk.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.ppc
sles10-sp4.x86
sle10-sp4-sdk.ia64
ZYPP Patch Nr: 8386


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 ofed Ignore
SUSE Linux Enterprise Server 10 SP4 ofed Released
SUSE Linux Enterprise Server 10 SP4 LTSS ofed Released
SUSE Linux Enterprise Server 11 SP1 ofed Ignore
SUSE Linux Enterprise Server 11 SP1 LTSS ofed Ignore
SUSE Linux Enterprise Server for SAP AIO 11 SP1 ofed Ignore